# Program Groups

Program Groups

 - [GET /programGroups/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/program-groups/listprogramgroups.md): This method will scan all program groups and and return them to the caller.
 - [POST /programGroups/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/program-groups/createprogramgroup.md): This method will auto-generate an ID and create a new program group. If an ID is specified for the program group, an error will be thrown.
 - [POST /programGroups/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/program-groups/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /programGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/program-groups/deleteprogramgroup.md): This method will delete a program group with the specified ID.
 - [GET /programGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/program-groups/getprogramgroup.md): This method will look up a program group by the specified ID and return it back.
 - [PATCH /programGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/program-groups/patchprogramgroup.md): This method will patch an existing program group with the specified ID, using the HTTP PATCH specification.
 - [PUT /programGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/program-groups/updateprogramgroup.md): This method will update an existing program group with the specified ID.
